#pragma once

#include "http.h"

namespace webdav
{

class HttpPut : public Http
{
public:
	HttpPut();
	virtual ~HttpPut();

	bool Put(ne_session* sess, const char* rpath, const char* lpath);

private:

	static ssize_t HttpPut::ReadFile(void *userdata, char *buffer, unsigned int count);

	int file_fd_;
	__int64 file_offset_;
	__int64 file_length_;
	__int64 file_remain_;
};

}
